#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libtasn1-4.21.0

- Next

  libunwind-1.8.3

- Up
- Home

# libunistring-1.4.2

## Introduction to libunistring

libunistring is a library that provides functions for manipulating Unicode strings and for manipulating C strings according to the Unicode standard.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://ftpmirror.gnu.org/libunistring/libunistring-1.4.2.tar.xz

- Download MD5 sum: e033195d90d0803063f3fecc77148124

- Download size: 2.7 MB

- Estimated disk space required: 58 MB (add 46 MB for tests)

- Estimated build time: 0.6 SBU (add 0.3 SBU for tests; both using parallelism=4)

### libunistring Dependencies

#### Optional

texlive-20250308 (or install-tl-unx) (to rebuild the documentation)

## Installation of libunistring

Install libunistring by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libunistring-1.4.2 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Libraries: libunistring.so
Installed Directory: /usr/include/unistring and /usr/share/doc/libunistring-1.4.2

### Short Descriptions

libunistring.so | provides the unicode string library API

- Prev

  libtasn1-4.21.0

- Next

  libunwind-1.8.3

- Up
- Home